Servers - Create Or Update

サーバーを作成または更新します。

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}?api-version=2025-01-01

URI パラメーター

名前 / 必須 説明
resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前の大文字と小文字は区別されません。

serverName
path True

string

サーバーの名前。

subscriptionId
path True

string (uuid)

ターゲット サブスクリプションの ID。 値は UUID である必要があります。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

要求本文

名前 必須 説明
location True

string

リソースが存在する地理的な場所

identity

ResourceIdentity

サーバーのAzure Active Directory IDです。

properties.administratorLogin

string

サーバーの管理者ユーザー名。 一度作成した後は変更できません。

properties.administratorLoginPassword

string (password)

管理者ログイン パスワード (サーバーの作成に必要)。

properties.administrators

ServerExternalAdministrator

Azure Active Directory管理者はサーバー作成時やサーバー更新時に利用できますが、azureADOnlyAuthentication プロパティは例外です。 azureADOnlyAuthentication プロパティを更新するには、個々の API を使用する必要があります。

properties.createMode

ServerCreateMode

サーバーの作成モードの場合、有効な値は Normal と Restore のみです。

properties.federatedClientId

string (uuid)

テナント間 CMK シナリオに使用されるクライアント ID

properties.isIPv6Enabled

ServerNetworkAccessFlag

このサーバーの IPv6 サポートを有効にするかどうか。 値は省略可能ですが、渡される場合は 'Enabled' または 'Disabled' である必要があります

properties.keyId

string

暗号化に使用するキーの CMK URI。

properties.minimalTlsVersion

MinimalTlsVersion

最小 TLS バージョン。 使用できる値: 'None'、1.0'、'1.1'、'1.2'、'1.3'

properties.primaryUserAssignedIdentityId

string

既定で使用されるユーザー割り当て ID のリソース ID。

properties.publicNetworkAccess

ServerPublicNetworkAccessFlag

このサーバーに対してパブリック エンドポイント アクセスが許可されているかどうか。 値は省略可能ですが、渡される場合は 、'Enabled' または 'Disabled' または 'SecuredByPerimeter' である必要があります

properties.restrictOutboundNetworkAccess

ServerNetworkAccessFlag

このサーバーの送信ネットワーク アクセスを制限するかどうか。 値は省略可能ですが、渡される場合は 'Enabled' または 'Disabled' である必要があります

properties.retentionDays

integer (int32)

このサーバーが論理的に削除されたままになる日数。

properties.version

string

サーバーのバージョン。

tags

object

リソース タグ。

応答

名前 説明
200 OK

Server

リソース 'Server' 更新操作が成功しました

201 Created

Server

リソース 'Server' の作成操作に成功しました

ヘッダー

  • Location: string
  • Retry-After: integer
202 Accepted

リソース操作が受け入れられます。

ヘッダー

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 Flow.

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

Create server

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645?api-version=2025-01-01

{
  "location": "Japan East",
  "properties": {
    "administratorLogin": "dummylogin",
    "administratorLoginPassword": "PLACEHOLDER",
    "administrators": {
      "azureADOnlyAuthentication": true,
      "login": "bob@contoso.com",
      "principalType": "User",
      "sid": "00000011-1111-2222-2222-123456789111",
      "tenantId": "00000011-1111-2222-2222-123456789111"
    },
    "createMode": "Normal",
    "isIPv6Enabled": "Enabled",
    "publicNetworkAccess": "Enabled",
    "restrictOutboundNetworkAccess": "Enabled",
    "retentionDays": 7
  }
}

応答のサンプル

{
  "name": "sqlcrudtest-4645",
  "type": "Microsoft.Sql/servers",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645",
  "kind": "v12.0",
  "location": "japaneast",
  "properties": {
    "administratorLogin": "dummylogin",
    "administrators": {
      "azureADOnlyAuthentication": true,
      "login": "bob@contoso.com",
      "principalType": "User",
      "sid": "00000011-1111-2222-2222-123456789111",
      "tenantId": "00000011-1111-2222-2222-123456789111"
    },
    "fullyQualifiedDomainName": "sqlcrudtest-4645.database.windows.net",
    "isIPv6Enabled": "Enabled",
    "privateEndpointConnections": [
      {
        "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/privateEndpointConnections/private-endpoint-name-00000000-1111-2222-3333-444444444444",
        "properties": {
          "privateEndpoint": {
            "id": "/subscriptions/55555555-6666-7777-8888-999999999999/resourceGroups/Default-Network/providers/Microsoft.Network/privateEndpoints/private-endpoint-name"
          },
          "privateLinkServiceConnectionState": {
            "description": "Auto-approved",
            "actionsRequired": "None",
            "status": "Approved"
          },
          "provisioningState": "Ready"
        }
      }
    ],
    "publicNetworkAccess": "Enabled",
    "restrictOutboundNetworkAccess": "Enabled",
    "retentionDays": 7,
    "state": "Ready",
    "version": "12.0"
  }
}
{
  "name": "sqlcrudtest-4645",
  "type": "Microsoft.Sql/servers",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645",
  "kind": "v12.0",
  "location": "japaneast",
  "properties": {
    "administratorLogin": "dummylogin",
    "administrators": {
      "azureADOnlyAuthentication": true,
      "login": "bob@contoso.com",
      "principalType": "User",
      "sid": "00000011-1111-2222-2222-123456789111",
      "tenantId": "00000011-1111-2222-2222-123456789111"
    },
    "fullyQualifiedDomainName": "sqlcrudtest-4645.database.windows.net",
    "isIPv6Enabled": "Enabled",
    "privateEndpointConnections": [
      {
        "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/privateEndpointConnections/private-endpoint-name-00000000-1111-2222-3333-444444444444",
        "properties": {
          "privateEndpoint": {
            "id": "/subscriptions/55555555-6666-7777-8888-999999999999/resourceGroups/Default-Network/providers/Microsoft.Network/privateEndpoints/private-endpoint-name"
          },
          "privateLinkServiceConnectionState": {
            "description": "Auto-approved",
            "actionsRequired": "None",
            "status": "Approved"
          },
          "provisioningState": "Ready"
        }
      }
    ],
    "publicNetworkAccess": "Enabled",
    "restrictOutboundNetworkAccess": "Enabled",
    "retentionDays": 7,
    "state": "Ready",
    "version": "12.0"
  }
}

定義

名前 説明
AdministratorType

管理者の種類。

createdByType

リソースを作成した ID の種類。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

ErrorDetail

エラーの詳細。

ErrorResponse

エラー応答

ExternalGovernanceStatus

外部ガバナンスの状態。

IdentityType

ID の種類。 これを「SystemAssigned」に設定すると、リソースの Azure Active Directory プリンシパルを自動的に作成・割り当てできます。

MinimalTlsVersion

最小 TLS バージョン。 使用できる値: 'None'、1.0'、'1.1'、'1.2'、'1.3'

PrincipalType

サーバー管理者のプリンシパルの種類。

PrivateEndpointConnectionProperties

プライベート エンドポイント接続のプロパティ。

PrivateEndpointProperty
PrivateEndpointProvisioningState

プライベート エンドポイント接続の状態。

PrivateLinkServiceConnectionStateActionsRequire

プライベート リンク サービス接続に必要なアクション。

PrivateLinkServiceConnectionStateProperty
PrivateLinkServiceConnectionStateStatus

プライベート リンク サービスの接続状態。

ResourceIdentity

Azure Active Directory identity configuration for a resource.

Server

Azure SQL Databaseサーバー。

ServerCreateMode

サーバーの作成モードの場合、有効な値は Normal と Restore のみです。

ServerExternalAdministrator

Active Directory 管理者のプロパティ。

ServerNetworkAccessFlag

このサーバーの送信ネットワーク アクセスを制限するかどうか。 値は省略可能ですが、渡される場合は 'Enabled' または 'Disabled' である必要があります

ServerPrivateEndpointConnection

サーバーの下のプライベート エンドポイント接続

ServerPublicNetworkAccessFlag

このサーバーに対してパブリック エンドポイント アクセスが許可されているかどうか。 値は省略可能ですが、渡される場合は 、'Enabled' または 'Disabled' または 'SecuredByPerimeter' である必要があります

ServerWorkspaceFeature

既存のサーバーにワークスペースが作成されているかどうか、およびワークスペースからの接続が許可されているかどうか

systemData

リソースの作成と最後の変更に関連するメタデータ。

UserIdentity

Azure Active Directory identity configuration for a resource.

AdministratorType

管理者の種類。

説明
ActiveDirectory

アクティブディレクトリ

createdByType

リソースを作成した ID の種類。

説明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

リソース管理エラーの追加情報。

名前 説明
info

object

追加情報。

type

string

追加情報の種類。

ErrorDetail

エラーの詳細。

名前 説明
additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

code

string

エラー コード。

details

ErrorDetail[]

エラーの詳細。

message

string

エラー メッセージ。

target

string

エラーターゲット。

ErrorResponse

エラー応答

名前 説明
error

ErrorDetail

エラー オブジェクト。

ExternalGovernanceStatus

外部ガバナンスの状態。

説明
Enabled

有効

Disabled

Disabled

IdentityType

ID の種類。 これを「SystemAssigned」に設定すると、リソースの Azure Active Directory プリンシパルを自動的に作成・割り当てできます。

説明
None

なし

SystemAssigned

システム割り当て

UserAssigned

UserAssigned

SystemAssigned,UserAssigned

SystemAssigned, UserAssigned

MinimalTlsVersion

最小 TLS バージョン。 使用できる値: 'None'、1.0'、'1.1'、'1.2'、'1.3'

説明
None

なし

1.0

1.0

1.1

1.1

1.2

1.2

1.3

1.3

PrincipalType

サーバー管理者のプリンシパルの種類。

説明
User

User

Group

グループ

Application

アプリケーション

PrivateEndpointConnectionProperties

プライベート エンドポイント接続のプロパティ。

名前 説明
groupIds

string[]

グループ ID。

privateEndpoint

PrivateEndpointProperty

接続が属するプライベート エンドポイント。

privateLinkServiceConnectionState

PrivateLinkServiceConnectionStateProperty

プライベート エンドポイント接続の接続状態。

provisioningState

PrivateEndpointProvisioningState

プライベート エンドポイント接続の状態。

PrivateEndpointProperty

名前 説明
id

string

プライベート エンドポイントのリソース ID。

PrivateEndpointProvisioningState

プライベート エンドポイント接続の状態。

説明
Approving

承認します

Ready

準備完了

Dropping

ドロップ

Failed

失敗

Rejecting

拒否

PrivateLinkServiceConnectionStateActionsRequire

プライベート リンク サービス接続に必要なアクション。

説明
None

なし

PrivateLinkServiceConnectionStateProperty

名前 説明
actionsRequired

PrivateLinkServiceConnectionStateActionsRequire

プライベート リンク サービス接続に必要なアクション。

description

string

プライベート リンク サービスの接続の説明。

status

PrivateLinkServiceConnectionStateStatus

プライベート リンク サービスの接続状態。

PrivateLinkServiceConnectionStateStatus

プライベート リンク サービスの接続状態。

説明
Approved

承認済み

Pending

保留中

Rejected

拒否

Disconnected

接続解除済

ResourceIdentity

Azure Active Directory identity configuration for a resource.

名前 説明
principalId

string (uuid)

The Azure Active Directory principal id.

tenantId

string (uuid)

The Azure Active Directory tenant id.

type

IdentityType

ID の種類。 これを「SystemAssigned」に設定すると、リソースの Azure Active Directory プリンシパルを自動的に作成・割り当てできます。

userAssignedIdentities

<string,  UserIdentity>

使用するユーザー割り当て ID のリソース ID

Server

Azure SQL Databaseサーバー。

名前 説明
id

string (arm-id)

リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

identity

ResourceIdentity

サーバーのAzure Active Directory IDです。

kind

string

SQL サーバーの種類。 これはAzureポータル体験で使用されるメタデータです。

location

string

リソースが存在する地理的な場所

name

string

リソースの名前

properties.administratorLogin

string

サーバーの管理者ユーザー名。 一度作成した後は変更できません。

properties.administratorLoginPassword

string (password)

管理者ログイン パスワード (サーバーの作成に必要)。

properties.administrators

ServerExternalAdministrator

Azure Active Directory管理者はサーバー作成時やサーバー更新時に利用できますが、azureADOnlyAuthentication プロパティは例外です。 azureADOnlyAuthentication プロパティを更新するには、個々の API を使用する必要があります。

properties.createMode

ServerCreateMode

サーバーの作成モードの場合、有効な値は Normal と Restore のみです。

properties.externalGovernanceStatus

ExternalGovernanceStatus

外部ガバナンスの状態。

properties.federatedClientId

string (uuid)

テナント間 CMK シナリオに使用されるクライアント ID

properties.fullyQualifiedDomainName

string

サーバーの完全修飾ドメイン名。

properties.isIPv6Enabled

ServerNetworkAccessFlag

このサーバーの IPv6 サポートを有効にするかどうか。 値は省略可能ですが、渡される場合は 'Enabled' または 'Disabled' である必要があります

properties.keyId

string

暗号化に使用するキーの CMK URI。

properties.minimalTlsVersion

MinimalTlsVersion

最小 TLS バージョン。 使用できる値: 'None'、1.0'、'1.1'、'1.2'、'1.3'

properties.primaryUserAssignedIdentityId

string

既定で使用されるユーザー割り当て ID のリソース ID。

properties.privateEndpointConnections

ServerPrivateEndpointConnection[]

サーバー上のプライベート エンドポイント接続の一覧

properties.publicNetworkAccess

ServerPublicNetworkAccessFlag

このサーバーに対してパブリック エンドポイント アクセスが許可されているかどうか。 値は省略可能ですが、渡される場合は 、'Enabled' または 'Disabled' または 'SecuredByPerimeter' である必要があります

properties.restrictOutboundNetworkAccess

ServerNetworkAccessFlag

このサーバーの送信ネットワーク アクセスを制限するかどうか。 値は省略可能ですが、渡される場合は 'Enabled' または 'Disabled' である必要があります

properties.retentionDays

integer (int32)

このサーバーが論理的に削除されたままになる日数。

properties.state

string

サーバーの状態。

properties.version

string

サーバーのバージョン。

properties.workspaceFeature

ServerWorkspaceFeature

既存のサーバーにワークスペースが作成されているかどうか、およびワークスペースからの接続が許可されているかどうか

systemData

systemData

create By と modifiedBy の情報を含む Azure Resource Manager メタデータ。

tags

object

リソース タグ。

type

string

リソースの型。 例えば「Microsoft。Compute/virtualMachines」または「Microsoft」などです。ストレージ/ストレージアカウント」

ServerCreateMode

サーバーの作成モードの場合、有効な値は Normal と Restore のみです。

説明
Normal

Normal

Restore

Restore

ServerExternalAdministrator

Active Directory 管理者のプロパティ。

名前 説明
administratorType

AdministratorType

管理者の種類。

azureADOnlyAuthentication

boolean

Azure Active Directoryのみ認証が有効。

login

string

サーバー管理者のログイン名。

principalType

PrincipalType

サーバー管理者のプリンシパルの種類。

sid

string (uuid)

サーバー管理者の SID (オブジェクト ID)。

tenantId

string (uuid)

管理者のテナント ID。

ServerNetworkAccessFlag

このサーバーの送信ネットワーク アクセスを制限するかどうか。 値は省略可能ですが、渡される場合は 'Enabled' または 'Disabled' である必要があります

説明
Enabled

有効

Disabled

Disabled

ServerPrivateEndpointConnection

サーバーの下のプライベート エンドポイント接続

名前 説明
id

string

リソース ID。

properties

PrivateEndpointConnectionProperties

プライベート エンドポイント接続のプロパティ

ServerPublicNetworkAccessFlag

このサーバーに対してパブリック エンドポイント アクセスが許可されているかどうか。 値は省略可能ですが、渡される場合は 、'Enabled' または 'Disabled' または 'SecuredByPerimeter' である必要があります

説明
Enabled

有効

Disabled

Disabled

SecuredByPerimeter

SecuredByPerimeter

ServerWorkspaceFeature

既存のサーバーにワークスペースが作成されているかどうか、およびワークスペースからの接続が許可されているかどうか

説明
Connected

接続済み

Disconnected

接続解除済

systemData

リソースの作成と最後の変更に関連するメタデータ。

名前 説明
createdAt

string (date-time)

リソース作成のタイムスタンプ (UTC)。

createdBy

string

リソースを作成した ID。

createdByType

createdByType

リソースを作成した ID の種類。

lastModifiedAt

string (date-time)

リソースの最終変更のタイムスタンプ (UTC)

lastModifiedBy

string

リソースを最後に変更した ID。

lastModifiedByType

createdByType

リソースを最後に変更した ID の種類。

UserIdentity

Azure Active Directory identity configuration for a resource.

名前 説明
clientId

string (uuid)

The Azure Active Directory client id.

principalId

string (uuid)

The Azure Active Directory principal id.